gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget for selecting a color.

The ColorSelection consists of a color wheel and number of sliders and entry boxes for color parameters such as hue, saturation, value, red, green, blue, and opacity. It is found on the standard color selection dialog box, .

This widget displays the 'selected' color as well as the previously selected color.

Gtk.VBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ColorSelection, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new ColorSelection
  A new ColorSelection
- Property
  System.UInt16 Get the alpha value of the previous color A new setting for the 'previous' alpha value. The previous alpha value - an integer between 0 and 65535.

  It may be confusing for a user if this property is set with no interaction from them.

- Property
  Gdk.Color Manage the current color of the ColorSelection. A color to set as the 'current' color. The currently selected color in this ColorSelection.
- Property
  System.Boolean Manage whether or not the ColorSelection displays a palette. to display a palette in the ColorSelection, otherwise. if a palette is currently part of the ColorSelection, otherwise.
- Property
  System.Boolean Manage whether or not opacity is part of the ColorSelection. to display opacity controls, otherwise. if the user can edit opacity, otherwise.
- Property
  System.UInt16 Manage the current alpha value of the ColorSelection. Sets the current opacity. The existing opacity of this ColorSelection.
- Event
  System.EventHandler This event is fired when the current color changes in the ColorSelection.
- Property
  Gdk.Color The color that was selected before the current one. An object of type a
- Method
  Gdk.Color[] `` Parses a color palette string; the string is a colon-separated list of color names readable by A palette string to parse An array of objects.
- Method
  System.String `` Encodes a palette as a string; useful for persistent storage. An array of objects. A string encoding of the palette.
- Property
  System.Boolean The current state of the ColorSelection if the user is currently dragging a color around, if the selection has stopped.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gtk.UpdateType To be added a To be added